### Enumeration

# Camel MessageFlags

#### Declaration

    flags Camel.MessageFlags

#### Description

No description available.

#### Members

`CAMEL_MESSAGE_ANSWERED`

  No description available.

  - Value: `1`
  - Available since: 1.2
`CAMEL_MESSAGE_DELETED`

  No description available.

  - Value: `2`
  - Available since: 1.2
`CAMEL_MESSAGE_DRAFT`

  No description available.

  - Value: `4`
  - Available since: 1.2
`CAMEL_MESSAGE_FLAGGED`

  No description available.

  - Value: `8`
  - Available since: 1.2
`CAMEL_MESSAGE_SEEN`

  No description available.

  - Value: `16`
  - Available since: 1.2
`CAMEL_MESSAGE_ATTACHMENTS`

  No description available.

  - Value: `32`
  - Available since: 1.2
`CAMEL_MESSAGE_ANSWERED_ALL`

  No description available.

  - Value: `64`
  - Available since: 1.2
`CAMEL_MESSAGE_JUNK`

  No description available.

  - Value: `128`
  - Available since: 1.2
`CAMEL_MESSAGE_SECURE`

  No description available.

  - Value: `256`
  - Available since: 1.2
`CAMEL_MESSAGE_NOTJUNK`

  No description available.

  - Value: `512`
  - Available since: 1.2
`CAMEL_MESSAGE_FORWARDED`

  No description available.

  - Value: `1024`
  - Available since: 1.2
`CAMEL_MESSAGE_FOLDER_FLAGGED`

  No description available.

  - Value: `65536`
  - Available since: 1.2
`CAMEL_MESSAGE_JUNK_LEARN`

  No description available.

  - Value: `1073741824`
  - Available since: 1.2
`CAMEL_MESSAGE_USER`

  No description available.

  - Value: `2147483648`
  - Available since: 1.2